%clear all; close all; clc;
close all;
load('DATA_SHE.mat')
DATA = DATA_SHE.SET_11L.SET_5A;
NA = 5;

m_list = DATA.m_list;
ANGLES = DATA.ANGLES;
TOL    = DATA.TOL;
THD    = DATA.PHASE_THD;

figure(1)
for i = 1:NA
    plot(m_list,ANGLES(i,:)*180/pi,'-x')
    hold on
end
xlabel('Modulation index [-]')
ylabel('Angles [deg]')
grid on
set(findall(gcf,'-property','FontSize'),'FontSize',13)
figure(2)
semilogy(m_list,TOL,'-x')
xlabel('Indice de modulation [-]')
ylabel('Tolrance atteinte [-]')
grid on
set(findall(gcf,'-property','FontSize'),'FontSize',13)

figure(3)
plot(m_list,THD,'-x')