function angles = get_a0(nAngles, L)
    
    % init
    angles = ones(1,nAngles);
    step = 120/(nAngles+1);
        
    % For 2 level:
    if(L==2)

        % if even
        if(mod(nAngles,2)==0)
            disp('The angles number must be an odd number')

        % if odd
        else
            for i=1:2:nAngles-1
               angles(i)   = step + (i-1)*step/2;
               angles(i+1) = step + (i-1)*step/2;
            end
            angles(nAngles) = 60;
        end

    % For 3 level:
    elseif(L==3)
            MAX = (nAngles-1)/2;        
            angles(nAngles) = 90;
            for i=1:MAX
               angles(2*i-1) = 90 - (MAX-i+1)*step; 
               angles(2*i)   = 90 - (MAX-i+1)*step; 
            end
            
    % For n level:
    else
        angles = ones(1,nAngles)*90;
    end
        
    
    % Degree to rad 
    angles = angles*pi/180;

end