function h = get_h(nAngles, nPhase)
 
    h = ones(1,nAngles);

    if(nPhase==1)
    % Single phase: h = [3, 5, 7,  9, 11, ...] defined by the angle number
        for i=2:nAngles
            h(i) = 2*i-1;
        end
    
    elseif(nPhase==3)
    % Three-phase:  h = [5, 7, 11, 13, 17, ...] defined by the angle number
        index_h = 2;
        number_h = 2;
        while (number_h<=nAngles)
            harmonic = 2*index_h-1;
            if(mod(harmonic,nPhase)~=0)
                h(number_h) = harmonic;
                number_h = number_h+1;
            end
            index_h = index_h+1;
        end
    end
end