function u = get_u(nAngles, L)

    if (L==2 || L==3)
        % u = [1, -1, 1, -1, 1, ...] size defined by number of angles
        u = ones(1,nAngles);
        for i=2:nAngles
            u(i) = -u(i-1);
        end
    else
        % u = [1, 1, 1, 1, 1, ...] size defined by number of angles
        u = ones(1,nAngles);
    end
end